#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbba168df, "__SCK__kvm_x86_cache_reg" },
	{ 0x1ee489ea, "kvm_x86_vendor_init" },
	{ 0xb27c84d8, "__tracepoint_kvm_ple_window_update" },
	{ 0x12c10d45, "vcpu_put" },
	{ 0xe0904b25, "kvm_arch_has_assigned_device" },
	{ 0x153decac, "kvm_vcpu_mark_page_dirty" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x32e4d1e0, "sgx_virt_ecreate" },
	{ 0x9d14205c, "cr4_read_shadow" },
	{ 0x3ab2794c, "kvm_find_user_return_msr" },
	{ 0x6988d0ca, "cpu_dr7" },
	{ 0xb82c0987, "enable_pmu" },
	{ 0xea93d9cd, "kvm_requeue_exception" },
	{ 0xd416cfec, "perf_guest_get_msrs" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x53d9f927, "__SCT__kvm_x86_get_cs_db_l_bits" },
	{ 0xc8264a44, "__SCK__tp_func_kvm_nested_vmenter_failed" },
	{ 0x27046576, "kvm_exit" },
	{ 0xd475c188, "kvm_pmu_cap" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf0f84ec, "kvm_vcpu_gfn_to_hva" },
	{ 0x836e271a, "kvm_init" },
	{ 0xf767ca35, "fixed_percpu_data" },
	{ 0x74a59b69, "kvm_set_msr" },
	{ 0x5f99038b, "kvm_deliver_exception_payload" },
	{ 0xc071e99f, "__SCT__tp_func_kvm_entry" },
	{ 0x305a916c, "__x86_indirect_thunk_rdi" },
	{ 0x305fcd8e, "__tracepoint_kvm_nested_vmexit" },
	{ 0xa8be3ba8, "apic" },
	{ 0x1db1c372, "enable_vmware_backdoor" },
	{ 0x1d013832, "kvm_enable_efer_bits" },
	{ 0x3be6255e, "__tracepoint_kvm_nested_vmenter" },
	{ 0xf881cecd, "load_fixmap_gdt" },
	{ 0x2510fc6d, "__SCT__tp_func_kvm_nested_vmexit" },
	{ 0x226ef479, "perf_event_create_kernel_counter" },
	{ 0xbd9d6dfc, "kvm_mmu_set_me_spte_mask" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc039b3, "hrtimer_try_to_cancel" },
	{ 0xc84328e5, "__kvm_request_immediate_exit" },
	{ 0x1b6e8f4d, "kvm_lapic_expired_hv_timer" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf61cb354, "kvm_emulate_xsetbv" },
	{ 0x113a622b, "kvm_fixup_and_inject_pf_error" },
	{ 0xbc2d98b5, "__SCK__tp_func_kvm_cr" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0x9ebe1fc1, "kvm_vcpu_write_guest_page" },
	{ 0x7915cee5, "do_machine_check" },
	{ 0xce576a13, "enable_apicv" },
	{ 0xafbc01eb, "kvm_read_guest_cached" },
	{ 0x22e2bc8a, "hrtimer_init" },
	{ 0xd117613c, "handle_ud" },
	{ 0x5413a6d, "kvm_mmu_new_pgd" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x729f45db, "kvm_mmu_gva_to_gpa_read" },
	{ 0xf6d668f5, "__tracepoint_kvm_nested_vmenter_failed" },
	{ 0x792285c, "kvm_get_msr_common" },
	{ 0x37a0cba, "kfree" },
	{ 0xfb1c851f, "__tracepoint_kvm_fast_mmio" },
	{ 0xaae5b16b, "__SCK__tp_func_kvm_nested_vmenter" },
	{ 0xf178e9a4, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9c956d9b, "kvm_arch_has_noncoherent_dma" },
	{ 0x40187e47, "kvm_hv_get_assist_page" },
	{ 0x6340434e, "x86_model" },
	{ 0xd2cfa9ed, "kvm_emulate_halt" },
	{ 0xa6cec8ae, "kvm_emulate_mwait" },
	{ 0xa7b12381, "kvm_vcpu_map" },
	{ 0xfb31de0c, "kvm_lapic_readable_reg_mask" },
	{ 0x42e19a95, "kvm_msr_allowed" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd2153ae7, "kvm_service_local_tlb_flush_requests" },
	{ 0x59757a53, "kvm_lapic_find_highest_irr" },
	{ 0xeebd6e22, "kvm_mmu_gva_to_gpa_write" },
	{ 0x687b78fc, "kvm_x86_vendor_exit" },
	{ 0xc92b6f3a, "kvm_wait_lapic_expire" },
	{ 0x2b727418, "hv_flush_remote_tlbs" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd0a7a76a, "perf_event_read_value" },
	{ 0x9493fc86, "node_states" },
	{ 0x1a833525, "kvm_write_guest_virt_system" },
	{ 0x61b443f8, "x86_spec_ctrl_current" },
	{ 0xbe3d34eb, "kvm_find_cpuid_entry" },
	{ 0xeadb0081, "kvm_task_switch" },
	{ 0xea5cda33, "__SCT__tp_func_kvm_fast_mmio" },
	{ 0x557a4d8b, "kvm_read_guest_virt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5ad33918, "__tracepoint_kvm_cr" },
	{ 0x9b889d86, "kvm_io_bus_write" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x53614ec, "kvm_set_user_return_msr" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x778e30b9, "__SCT__tp_func_kvm_cr" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x89588640, "kvm_init_shadow_ept_mmu" },
	{ 0x62c79d9, "kvm_emulate_monitor" },
	{ 0x10615acb, "__tracepoint_kvm_pml_full" },
	{ 0x8deb48bb, "kvm_requeue_exception_e" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x5c7e9f84, "__SCT__tp_func_kvm_apicv_accept_irq" },
	{ 0x673ccd7a, "kvm_gfn_to_hva_cache_init" },
	{ 0x644189e6, "kvm_lmsw" },
	{ 0xb58f4a8e, "trace_hardirqs_on_prepare" },
	{ 0xf0fd0b61, "x86_perf_get_lbr" },
	{ 0x9949f5ce, "kvm_lapic_set_eoi" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xc96d35f4, "report_ignored_msrs" },
	{ 0xf3d3e2e4, "kvm_queue_exception" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xe45788a4, "kvm_emulate_halt_noskip" },
	{ 0x34b1f8e2, "kvm_emulate_rdmsr" },
	{ 0xe54c1a0d, "host_arch_capabilities" },
	{ 0x723e859d, "__tracepoint_kvm_apicv_accept_irq" },
	{ 0xcc0efd98, "__tracepoint_kvm_pi_irte_update" },
	{ 0x618911fc, "numa_node" },
	{ 0x8b618aa6, "__SCT__tp_func_kvm_nested_vmexit_inject" },
	{ 0xb241b1d7, "kvm_vcpu_unmap" },
	{ 0x7bd49a7a, "kvm_write_guest_page" },
	{ 0xc287d96a, "kvm_set_posted_intr_wakeup_handler" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0xbaf9d785, "__tss_limit_invalid" },
	{ 0x7fe19488, "kvm_add_user_return_msr" },
	{ 0xefed065c, "kvm_valid_efer" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x5d0d69ad, "__SCK__tp_func_kvm_pi_irte_update" },
	{ 0x276d8175, "__SCK__tp_func_kvm_apicv_accept_irq" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6553e610, "__SCK__tp_func_kvm_entry" },
	{ 0xa29ee687, "kvm_read_guest_offset_cached" },
	{ 0xf2577bc6, "kvm_handle_invpcid" },
	{ 0x59ea7a76, "__tracepoint_kvm_entry" },
	{ 0x862bf177, "kvm_load_host_xsave_state" },
	{ 0xa882199, "__tracepoint_kvm_page_fault" },
	{ 0xa3c9d3d1, "kvm_mmu_free_roots" },
	{ 0x9a2c088f, "irq_stat" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0x283d4b1d, "kvm_queue_exception_p" },
	{ 0x44de9f41, "kvm_read_l1_tsc" },
	{ 0x8c341c48, "current_save_fsgs" },
	{ 0x6ce1cef8, "kvm_vcpu_deliver_sipi_vector" },
	{ 0x6ea601fb, "__tracepoint_kvm_inj_virq" },
	{ 0x49608959, "migrate_disable" },
	{ 0xef8de21f, "kvm_cpu_has_interrupt" },
	{ 0x6243ac82, "__kvm_apic_update_irr" },
	{ 0x510db29b, "handle_fastpath_set_msr_irqoff" },
	{ 0xaa774363, "kvm_apic_update_ppr" },
	{ 0x6cdc8d1, "kvm_configure_mmu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x2ce956f8, "kvm_make_all_cpus_request" },
	{ 0xf016c6a2, "__srcu_read_lock" },
	{ 0xc35f8305, "pmc_write_counter" },
	{ 0xf11caf5, "trace_hardirqs_off_finish" },
	{ 0x2351187e, "kvm_apic_update_irr" },
	{ 0xcb4df174, "kvm_init_mmu" },
	{ 0x3ce7234, "sched_smt_present" },
	{ 0xcaa6b8b6, "kvm_emulate_wbinvd" },
	{ 0x1b6b2ed2, "kvm_set_cr3" },
	{ 0x696d7e0b, "l1tf_mitigation" },
	{ 0xc16d3f74, "kvm_update_cpuid_runtime" },
	{ 0x8c4fded2, "sgx_virt_einit" },
	{ 0x92d308d1, "__ct_user_enter" },
	{ 0x4d50a76e, "__SCK__kvm_x86_get_cs_db_l_bits" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3b91db5b, "intel_pt_handle_vmx" },
	{ 0x52104108, "__SCK__tp_func_kvm_page_fault" },
	{ 0xf36bf08, "kvm_alloc_apic_access_page" },
	{ 0xbf52c6cc, "kvm_get_cr8" },
	{ 0x6636c3c9, "irq_set_vcpu_affinity" },
	{ 0x388e0e10, "__SCT__tp_func_kvm_pi_irte_update" },
	{ 0x89cb1c1f, "vcpu_load" },
	{ 0xf80bfb39, "kvm_handle_memory_failure" },
	{ 0x6206a49b, "kvm_set_dr" },
	{ 0x2755634a, "kvm_set_msi_irq" },
	{ 0xb948e5c6, "kvm_emulate_hypercall" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x31c45b8c, "mds_verw_sel" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x709cd8cb, "kvm_spurious_fault" },
	{ 0xd66d038, "kvm_inject_emulated_page_fault" },
	{ 0xae220d7d, "kvm_get_linear_rip" },
	{ 0x580e2985, "kvm_prepare_emulation_failure_exit" },
	{ 0xa50bcff0, "x86_cpu_to_apicid" },
	{ 0xb58a11d, "kvm_nr_uret_msrs" },
	{ 0xba36f833, "__kvm_prepare_emulation_failure_exit" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0x2ed2dd14, "kvm_get_msr" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3b2e6666, "load_pdptrs" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x7693e74f, "kvm_get_running_vcpu" },
	{ 0xe3e88acb, "__get_current_cr3_fast" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x74970968, "kvm_vcpu_read_guest_page" },
	{ 0x5d996b31, "kvm_set_cpu_caps" },
	{ 0xfb578fc5, "memset" },
	{ 0xe1be448f, "hrtimer_start_range_ns" },
	{ 0x2a56c441, "__alloc_pages" },
	{ 0x159b8d5e, "host_efer" },
	{ 0xea271729, "hv_track_root_tdp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf2df48f3, "__SCT__tp_func_kvm_pml_full" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9d4894c8, "x2apic_mode" },
	{ 0xfc4e94ce, "kvm_set_cr4" },
	{ 0xc934d0e8, "__SCK__tp_func_kvm_exit" },
	{ 0x547f3ff9, "kvm_handle_page_fault" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x6303c089, "kvm_calc_nested_tsc_offset" },
	{ 0x4f9fe735, "kvm_cpu_caps" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x2d82cc24, "kvm_spec_ctrl_test_value" },
	{ 0x616e6c95, "__SCT__tp_func_kvm_exit" },
	{ 0x9acd3f6f, "get_cpu_entry_area" },
	{ 0xd31f3039, "kvm_apic_clear_irr" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x496fe713, "__x86_set_memory_region" },
	{ 0x2ab2adfe, "kvm_load_guest_xsave_state" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x3d6fb6c5, "kvm_set_cr0" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0xa9557e82, "__kvm_is_valid_cr4" },
	{ 0x5c021060, "kvm_mmu_free_guest_mode_roots" },
	{ 0x4f80e319, "__ct_user_exit" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0x645cf492, "kvm_set_cr8" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x8714591a, "kvm_get_dr" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb637410, "cr4_update_irqsoff" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0x600f8ec2, "kvm_mmu_page_fault" },
	{ 0x41d9f0ad, "clear_bhb_loop" },
	{ 0x57a76fc0, "__SCK__tp_func_kvm_nested_vmexit" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xbc92596d, "intel_pt_validate_cap" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x51996289, "kvm_emulate_instruction" },
	{ 0x25cfffca, "cpu_info" },
	{ 0xef14fd98, "kvm_calc_nested_tsc_multiplier" },
	{ 0x3372235b, "__SCK__tp_func_kvm_pml_full" },
	{ 0x5eb00ff8, "kvm_mtrr_get_guest_memory_type" },
	{ 0x5e2472e0, "alloc_pages" },
	{ 0xe6d18ee4, "kvm_pmu_trigger_event" },
	{ 0x7ca10641, "kvm_mmu_reset_context" },
	{ 0x6f63ede8, "kvm_get_apic_mode" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x50b03f5d, "l1tf_vmx_mitigation" },
	{ 0x46176372, "kvm_vcpu_read_guest" },
	{ 0x56470118, "__warn_printk" },
	{ 0x51bdf2ba, "kvm_vcpu_on_spin" },
	{ 0xb300522, "__SCK__tp_func_kvm_fast_mmio" },
	{ 0x41666407, "kvm_read_guest" },
	{ 0x402d534, "__hrtimer_get_remaining" },
	{ 0x7945d065, "kvm_write_guest_cached" },
	{ 0x8e5c7b22, "gfn_to_pfn_memslot" },
	{ 0xca79d0, "__srcu_read_unlock" },
	{ 0xf23f952b, "kvm_vcpu_wake_up" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x485cd7f6, "kvm_rebooting" },
	{ 0x3015a23e, "kvm_get_rflags" },
	{ 0xb70789e, "__might_fault" },
	{ 0xa31e3ff1, "kvm_queue_exception_e" },
	{ 0xa2d0b59d, "mmio_stale_data_clear" },
	{ 0xe9dc51c5, "cpu_emergency_register_virt_callback" },
	{ 0x6becaded, "__SCT__tp_func_kvm_inj_virq" },
	{ 0xb33f1d00, "hrtimer_cancel" },
	{ 0x734c67cc, "__tracepoint_kvm_exit" },
	{ 0x206855d4, "kvm_emulate_cpuid" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xbc58bd62, "kvm_emulate_wrmsr" },
	{ 0x4db5786b, "__SCK__tp_func_kvm_inj_virq" },
	{ 0x479bfcbf, "kvm_apic_set_eoi_accelerated" },
	{ 0x3ddc7205, "kvm_find_cpuid_entry_index" },
	{ 0x6d2c9437, "__SCT__tp_func_kvm_nested_vmenter" },
	{ 0xfdc43429, "kvm_vcpu_kick" },
	{ 0x59387ba3, "__SCT__kvm_x86_cache_reg" },
	{ 0xd73de557, "kvm_inject_realmode_interrupt" },
	{ 0xe5e7807d, "kvm_mmu_invlpg" },
	{ 0x7e2f5376, "kvm_emulate_invd" },
	{ 0xfbccfb97, "kvm_fast_pio" },
	{ 0x69ad6ac1, "cpu_emergency_unregister_virt_callback" },
	{ 0x1cf8bd96, "__SCK__tp_func_kvm_ple_window_update" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0x6e99f428, "kvm_set_msr_common" },
	{ 0xd8c50333, "kvm_mmu_invalidate_addr" },
	{ 0xe93dfc8c, "__SCT__tp_func_kvm_nested_vmenter_failed" },
	{ 0xf5b52d5c, "hv_vp_assist_page" },
	{ 0x8078ec59, "__SCK__tp_func_kvm_nested_vmexit_inject" },
	{ 0x36c75b4e, "context_tracking" },
	{ 0x8379ebae, "kvm_intr_is_single_vcpu" },
	{ 0x9b3e7f99, "perf_event_release_kernel" },
	{ 0x3241470c, "kvm_apic_has_interrupt" },
	{ 0x3f510ff5, "kvm_has_noapic_vcpu" },
	{ 0x17add64b, "gdt_page" },
	{ 0xf1cd8929, "kvm_read_and_reset_apf_flags" },
	{ 0xf64b70af, "kvm_emulate_rdpmc" },
	{ 0x93a3e40e, "__SCT__tp_func_kvm_ple_window_update" },
	{ 0x1e2d86be, "__tracepoint_kvm_nested_vmexit_inject" },
	{ 0x4e3fd1b4, "kvm_release_pfn_clean" },
	{ 0x7ff2a104, "__SCT__tp_func_kvm_page_fault" },
	{ 0xa0002f32, "kvm_require_dr" },
	{ 0x1dcb0e, "kvm_skip_emulated_instruction" },
	{ 0x5bf7cde0, "kvm_mmu_set_ept_masks" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x416c4708, "kvm_handle_invalid_op" },
	{ 0x50f6a73a, "kvm_cpu_get_interrupt" },
	{ 0x6bc792a4, "kvm_caps" },
	{ 0x3b50be67, "kvm_vcpu_write_guest" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x57e93fab, "hv_flush_remote_tlbs_range" },
	{ 0x1bfe38fd, "kvm_complete_insn_gp" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0xea69d7d7, "asm_exc_nmi_kvm_vmx" },
	{ 0xf3eb0c4c, "kvm_apic_write_nodecode" },
	{ 0xb20e14c8, "write_ibpb" },
	{ 0x808a8088, "handle_guest_split_lock" },
	{ 0x9cf59e7a, "allow_smaller_maxphyaddr" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "kvm");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*0085*");

MODULE_INFO(srcversion, "98154A178ACF888C6F35184");

MODULE_INFO(suserelease, "SLE15-SP6");
