#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(remove_iaa_compression_mode, 0xafa66abb, "_gpl");
SYMBOL_CRC(add_iaa_compression_mode, 0x9318f4db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaec3e4fb, "crypto_comp_decompress" },
	{ 0xe71e5459, "try_module_get" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0x66deb742, "crypto_alloc_base" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x5cc81992, "driver_remove_file" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa402af8e, "idxd_submit_desc" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf178e9a4, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e3a3450, "idxd_wq_quiesce" },
	{ 0x92997ed8, "_printk" },
	{ 0x7711e5d2, "idxd_free_desc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf7b96a94, "driver_create_file" },
	{ 0x474650e8, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1b236bea, "idxd_drv_disable_wq" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x459831d7, "__idxd_driver_register" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0xe9983781, "_dev_err" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x3eccbe2c, "__find_nth_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x891dbb8f, "sgl_free_order" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa7bf3243, "crypto_unregister_acomp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x5959c3e5, "idxd_drv_enable_wq" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x2af33645, "crypto_register_acomp" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x698ee008, "dma_unmap_sg_attrs" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xc2cb862e, "sgl_alloc_order" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x14b1e64e, "idxd_driver_unregister" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xb65afa90, "idxd_alloc_desc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0x48d2e658, "dma_map_sg_attrs" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "idxd,idxd_bus");


MODULE_INFO(srcversion, "B376173E5D46205FE455265");

MODULE_INFO(suserelease, "SLE15-SP6");
