#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mmc_command_done, 0x950e6f83, "");
SYMBOL_CRC(mmc_request_done, 0xa39e090d, "");
SYMBOL_CRC(mmc_start_request, 0x370cf3f7, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0xe35ab5d0, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x89dc8b40, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x370f7211, "");
SYMBOL_CRC(mmc_cqe_post_req, 0x6609e2ed, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x0d568daf, "");
SYMBOL_CRC(mmc_is_req_done, 0xaf93734e, "");
SYMBOL_CRC(mmc_wait_for_req, 0x742b9bdf, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0xa1788987, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x8e395092, "");
SYMBOL_CRC(__mmc_claim_host, 0x80c93f8b, "");
SYMBOL_CRC(mmc_release_host, 0x64497ddb, "");
SYMBOL_CRC(mmc_get_card, 0x986a853b, "");
SYMBOL_CRC(mmc_put_card, 0x4108d853, "");
SYMBOL_CRC(mmc_detect_change, 0x005ec1a8, "");
SYMBOL_CRC(mmc_erase, 0x81c71502, "");
SYMBOL_CRC(mmc_can_erase, 0x5e1a9a4e, "");
SYMBOL_CRC(mmc_can_trim, 0x36eb15a0, "");
SYMBOL_CRC(mmc_can_discard, 0xc65442d3, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0x1cac308f, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0xe508a731, "");
SYMBOL_CRC(mmc_calc_max_discard, 0x21ffec60, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x73438d1a, "");
SYMBOL_CRC(mmc_set_blocklen, 0xf2db3ccc, "");
SYMBOL_CRC(mmc_hw_reset, 0x293626ea, "");
SYMBOL_CRC(mmc_sw_reset, 0x51ad047e, "");
SYMBOL_CRC(mmc_detect_card_removed, 0xd1358af1, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x280dc0eb, "");
SYMBOL_CRC(mmc_register_driver, 0xf6e89afa, "");
SYMBOL_CRC(mmc_unregister_driver, 0x564cccd2, "");
SYMBOL_CRC(mmc_retune_pause, 0x865a0e91, "");
SYMBOL_CRC(mmc_retune_unpause, 0xa27cd358, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0xdb220716, "");
SYMBOL_CRC(mmc_retune_release, 0x1752db5c, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0xbd91f5e7, "");
SYMBOL_CRC(mmc_of_parse, 0xf872f4d9, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x69f58ff6, "");
SYMBOL_CRC(mmc_alloc_host, 0x7b837b27, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x5e72a527, "");
SYMBOL_CRC(mmc_add_host, 0x6e1243ce, "");
SYMBOL_CRC(mmc_remove_host, 0x630a8e73, "");
SYMBOL_CRC(mmc_free_host, 0xed0efc93, "");
SYMBOL_CRC(__mmc_send_status, 0xb0632fcd, "_gpl");
SYMBOL_CRC(mmc_send_status, 0xbf182cbe, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x742a4b84, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x5004b49c, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0xa8bffe79, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x8c880a91, "_gpl");
SYMBOL_CRC(mmc_switch, 0x7d957920, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x650903f7, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x5abfcff1, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0xe35b62e5, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xeff69714, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x1c4867d2, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0x8eb50c48, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0x5c39493e, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0x1abe41cf, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x815eba6c, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0x6b8b4773, "_gpl");
SYMBOL_CRC(sdio_release_host, 0xf5202bb5, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0x4dd09004, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0x03aa7853, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x722ab8ab, "_gpl");
SYMBOL_CRC(sdio_align_size, 0x00da334a, "_gpl");
SYMBOL_CRC(sdio_readb, 0x7e8b3280, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x71ff99bf, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x0ecb3c27, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0xd7ef8d9b, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x2802b813, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x7e06cc2a, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x44ea2e05, "_gpl");
SYMBOL_CRC(sdio_readw, 0x9e8eeaf0, "_gpl");
SYMBOL_CRC(sdio_writew, 0x0cd5c9b7, "_gpl");
SYMBOL_CRC(sdio_readl, 0x7fa0fcfb, "_gpl");
SYMBOL_CRC(sdio_writel, 0x2e4b8b36, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0x87f47f26, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0xe9f689d0, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x0a028b74, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0x81cb1283, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0x3b1679de, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0x23c746ce, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x2f1af773, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0x48250239, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x1e52dd92, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0x29c47d5c, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0xaee38f48, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x07148440, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0xc7a44add, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0x7f314d2b, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0xfe513cd7, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0x9f157dbe, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x75a92b0b, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0xf4ffcd34, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0x1d0bdf14, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x6a3ab440, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0xc0ce0287, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x419bbc90, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x65f6092b, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x29084818, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0x8847c53d, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x53720641, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0xeab0d59e, "_gpl");
SYMBOL_CRC(mmc_crypto_setup_queue, 0x28fe78ad, "_gpl");
SYMBOL_CRC(mmc_crypto_prepare_req, 0x3bbb8f0e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x942625af, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0x35869e03, "regulator_enable" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x98c178d2, "completion_done" },
	{ 0x9772dd2d, "device_property_present" },
	{ 0x7ad7988e, "blk_crypto_reprogram_all_keys" },
	{ 0x32d1f4e, "wakeup_source_register" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e11517f, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x142b9af4, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xe9b2d445, "trace_event_printf" },
	{ 0x960dc0b5, "led_trigger_register_simple" },
	{ 0xa38e538a, "should_fail" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0xbf431ab8, "trace_event_raw_init" },
	{ 0xea7522a5, "gpiod_to_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xf178e9a4, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb1703f6a, "add_wait_queue" },
	{ 0x2eafcc77, "gpiod_toggle_active_low" },
	{ 0x2ee1078f, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x584733ca, "bpf_trace_run2" },
	{ 0x2b898421, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7fc1f20, "led_trigger_unregister_simple" },
	{ 0x590b22d0, "__wake_up" },
	{ 0x58892e26, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x81ecaac2, "sched_set_fifo_low" },
	{ 0x8996668a, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x770f6d7c, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8820f3d9, "wake_up_process" },
	{ 0x66cb9156, "trace_event_buffer_commit" },
	{ 0x6bf72dd3, "pm_generic_runtime_resume" },
	{ 0xcca1b0f3, "pm_generic_resume" },
	{ 0x97b74cd0, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0xc612c5e5, "pm_wakeup_ws_event" },
	{ 0x4f67c3d7, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x5b5bb3a5, "blk_crypto_register" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf75c7a84, "acpi_find_child_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x215541a3, "gpiod_set_debounce" },
	{ 0x9a83c8bf, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2a9b71c7, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x11520792, "pm_generic_suspend" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaa75d235, "perf_trace_run_bpf_submit" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0x31b16cf7, "debugfs_create_file_unsafe" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0x905d6a84, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4eccc143, "__devres_alloc_node" },
	{ 0x7aac359d, "trace_event_reg" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x92ed2aa6, "devm_gpiod_get_index" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe7edac6f, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x285a0ea3, "regulator_count_voltages" },
	{ 0xc1c3224b, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x8f7db2a0, "__init_waitqueue_head" },
	{ 0x7854f28e, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x21f5620d, "regulator_is_supported_voltage" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5e963001, "gpiod_cansleep" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x61c8d204, "gpiod_is_active_low" },
	{ 0x7e959444, "trace_event_buffer_reserve" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0xdc95491f, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa1b253b5, "remove_wait_queue" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xb86521d6, "regulator_disable" },
	{ 0x6ae1b57d, "setup_fault_attr" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0x47265c87, "set_primary_fwnode" },
	{ 0x5ea16991, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x87e418a8, "gpiod_set_consumer_name" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0xd10ee23d, "fault_create_debugfs_attr" },
	{ 0x52e49e5e, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x5ab2593e, "class_register" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd12f11b, "__dev_fwnode" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE81212649B388360A31067");

MODULE_INFO(suserelease, "SLE15-SP6");
