#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0xe14b9783, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x071ead23, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9447f08a, "bio_integrity_prep" },
	{ 0x173c3654, "__blk_alloc_disk" },
	{ 0xebc44771, "blk_queue_logical_block_size" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xf314a442, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xad7a9a3, "devm_namespace_enable" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x18b4c93, "debugfs_create_u16" },
	{ 0xb8d1dccf, "to_nd_region" },
	{ 0x37a0cba, "kfree" },
	{ 0xf178e9a4, "pcpu_hot" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x34cd7c76, "nd_btt_arena_is_valid" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xf3f70a97, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xfb2352ed, "put_disk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x36604a69, "debugfs_create_x64" },
	{ 0x5bfea378, "blk_queue_flag_set" },
	{ 0x71bbb60, "nd_dev_to_uuid" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xfe5e4677, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x342e4334, "bio_endio" },
	{ 0xdfcfe590, "nd_region_release_lane" },
	{ 0x49608959, "migrate_disable" },
	{ 0xe9983781, "_dev_err" },
	{ 0x4ec241a3, "set_capacity" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x16b2bf59, "del_gendisk" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x285e5b64, "to_nd_btt" },
	{ 0xf633f0, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdae07093, "debugfs_create_u32" },
	{ 0xf533f7f1, "nvdimm_namespace_disk_name" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdc95491f, "debugfs_create_x32" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x3bc41885, "nvdimm_namespace_capacity" },
	{ 0x9d9d38be, "nd_integrity_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a49f028, "devm_namespace_disable" },
	{ 0x3bdd0d83, "nvdimm_check_and_set_ro" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xc3fd70dc, "badblocks_check" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0x8dc4a17f, "nd_btt_version" },
	{ 0xdcc39814, "blk_queue_max_hw_sectors" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "F8DB152D5563891A4320323");

MODULE_INFO(suserelease, "SLE15-SP6");
