#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvme_fc_register_localport, 0x6c666edc, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2cd45b04, "nvme_remove_admin_tag_set" },
	{ 0x6cf6ca0a, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0xdded34a9, "nvme_uninit_ctrl" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0x97c53c2e, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x671c72b6, "nvmf_free_options" },
	{ 0xdba2133c, "nvmf_subsystem_reset" },
	{ 0x854b2cc0, "blk_mq_tagset_wait_completed_request" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7cc087c4, "finish_wait" },
	{ 0x32ce6e73, "nvme_stop_keep_alive" },
	{ 0x45083f2a, "blk_mq_complete_request_remote" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x95f01500, "nvme_setup_cmd" },
	{ 0xabb85cd4, "nvme_start_ctrl" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0x1c8793d3, "nvme_alloc_admin_tag_set" },
	{ 0x86800929, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x542804ad, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xbdb9b74a, "nvmf_reg_read32" },
	{ 0x590b22d0, "__wake_up" },
	{ 0xd6939c22, "nvme_delete_ctrl" },
	{ 0x58892e26, "get_device" },
	{ 0x97edc896, "nvme_should_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0xbc709e81, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xac8aa0ad, "nvme_remove_io_tag_set" },
	{ 0xce735a44, "nvme_cleanup_cmd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9dcb7f0d, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1a2c1fd9, "nvmf_unregister_transport" },
	{ 0x140531d7, "blkcg_get_fc_appid" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x896f553, "nvme_change_ctrl_state" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xf30c1571, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x6ca3d219, "nvme_alloc_io_tag_set" },
	{ 0x70a276, "nvme_fail_nonready_command" },
	{ 0x3a52c82a, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe9983781, "_dev_err" },
	{ 0xc3406e22, "device_create" },
	{ 0xfd2809d5, "blk_sync_queue" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xe8578bc5, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0xba9f30a9, "ida_free" },
	{ 0xce6ee8bf, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x2c93eddf, "nvmf_connect_admin_queue" },
	{ 0xeb781bcb, "nvme_enable_ctrl" },
	{ 0x8a2e281, "nvme_unquiesce_admin_queue" },
	{ 0x30e8947a, "dma_sync_single_for_cpu" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f7db2a0, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3380c7e3, "nvme_unquiesce_io_queues" },
	{ 0x8b002171, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xef16dfb8, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb596a10a, "nvmf_should_reconnect" },
	{ 0x5d34690b, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2e5941b0, "device_destroy" },
	{ 0xda5a2e7e, "__blk_should_fake_timeout" },
	{ 0x57c581e2, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xc029bbfa, "nvmf_register_transport" },
	{ 0x34736c8d, "blk_mq_start_request" },
	{ 0x3e16cebc, "nvme_quiesce_io_queues" },
	{ 0x40481631, "blk_mq_tagset_busy_iter" },
	{ 0xb80d6996, "nvme_stop_ctrl" },
	{ 0x698ee008, "dma_unmap_sg_attrs" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0xdf5e1304, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xc4ab1d91, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x4c5d1628, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5ab2593e, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba2d274d, "__nvme_check_ready" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0x48d2e658, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "476175E51907AAC0E1DD9EC");

MODULE_INFO(suserelease, "SLE15-SP6");
