#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9772dd2d, "device_property_present" },
	{ 0x8b6be5b7, "device_set_wakeup_capable" },
	{ 0xe0fd4748, "typec_register_partner" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x4e11517f, "trace_raw_output_prep" },
	{ 0x2f942f96, "regmap_raw_read" },
	{ 0x142b9af4, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xe9b2d445, "trace_event_printf" },
	{ 0xbf431ab8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x543623c5, "fwnode_usb_role_switch_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf178e9a4, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x6f26fcf9, "devm_power_supply_register" },
	{ 0x584733ca, "bpf_trace_run2" },
	{ 0x3b857f12, "typec_set_mode" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x66cb9156, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x60ec90b3, "__devm_regmap_init_i2c" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc23148fd, "typec_unregister_partner" },
	{ 0xc0eaa274, "typec_set_pwr_opmode" },
	{ 0x1a7f4659, "typec_set_orientation" },
	{ 0x15bff431, "i2c_register_driver" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaa75d235, "perf_trace_run_bpf_submit" },
	{ 0xe9983781, "_dev_err" },
	{ 0x60eb2a3b, "device_wakeup_enable" },
	{ 0x18173bf1, "typec_set_vconn_role" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x7aac359d, "trace_event_reg" },
	{ 0x3f3500ac, "typec_set_data_role" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8bf29864, "typec_unregister_port" },
	{ 0x6e4f96cc, "power_supply_get_drvdata" },
	{ 0x4162e713, "bpf_trace_run1" },
	{ 0x547891c, "_dev_warn" },
	{ 0x9cff0397, "typec_register_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xeb3cb806, "power_supply_changed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x7e959444, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53e98293, "device_get_named_child_node" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5cbda183, "typec_get_drvdata" },
	{ 0x8e5f1e54, "typec_partner_set_identity" },
	{ 0x4e3ada01, "fw_devlink_purge_absent_suppliers" },
	{ 0x3ecfe123, "typec_set_pwr_role" },
	{ 0x81188c30, "match_string" },
	{ 0xd3b55b10, "i2c_del_driver" },
	{ 0xf9e0f3a4, "fwnode_handle_put" },
	{ 0x5c910139, "regmap_raw_write" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xfd12f11b, "__dev_fwnode" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "typec,roles,regmap-i2c");

MODULE_ALIAS("of:N*T*Cti,tps6598x");
MODULE_ALIAS("of:N*T*Cti,tps6598xC*");
MODULE_ALIAS("of:N*T*Capple,cd321x");
MODULE_ALIAS("of:N*T*Capple,cd321xC*");
MODULE_ALIAS("i2c:tps6598x");

MODULE_INFO(srcversion, "6CEB419DE71CE74B7E4B25B");

MODULE_INFO(suserelease, "SLE15-SP6");
