#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vfio_assign_device_set, 0x288baf92, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x7d27736f, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x0782baa5, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0xed63cf6b, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x88b83186, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0xbdf06ee7, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x012d0734, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0xa15b6d15, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xdd222c3d, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0xf8c83a7e, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x65fb7adb, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x6213d5c6, "");
SYMBOL_CRC(vfio_unpin_pages, 0xbb0b0d4e, "");
SYMBOL_CRC(vfio_dma_rw, 0x43b61498, "");
SYMBOL_CRC(vfio_file_iommu_group, 0xfef46c32, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x597f00e6, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x014aed77, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0xd0b8d5c7, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x21264621, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x7f69e201, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xd1e834c1, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0xe13b383a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xe71e5459, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xda2d1cd6, "anon_inode_getfile" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x3134f8f9, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xae5df3f0, "cdev_device_del" },
	{ 0x2ae65e8b, "iommu_group_get" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x58151dff, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x9bef077c, "__xa_erase" },
	{ 0x2b4c2f94, "refcount_dec_and_mutex_lock" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x7646da73, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf178e9a4, "pcpu_hot" },
	{ 0xb1703f6a, "add_wait_queue" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf93c49ba, "cdev_device_add" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x474650e8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6c9f06de, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0xba2f2845, "fput" },
	{ 0x93cacdc1, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xd4107f3f, "up_write" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xd231bdbb, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x92a3aaa, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xba9f30a9, "ida_free" },
	{ 0xe7edac6f, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x18a114a2, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa60b94b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xac6cfb0b, "__xa_cmpxchg" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xae367003, "xa_destroy" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0xb70789e, "__might_fault" },
	{ 0xf04d252e, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xef1ffc75, "iommu_group_add_device" },
	{ 0x9ea59272, "try_wait_for_completion" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0x759899cf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfa44b531, "eventfd_ctx_fileget" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0x9a58bc66, "iommu_group_remove_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1BDF4277672F68BD6E5FD91");

MODULE_INFO(suserelease, "SLE15-SP6");
