#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0xa39f1fed, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0xe423aaa9, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x09d0d14d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe71e5459, "try_module_get" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x3134f8f9, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x671913c8, "bpf_trace_run4" },
	{ 0x8a8e3e7b, "config_group_init" },
	{ 0xc10ba54d, "idr_find" },
	{ 0xbdf615fa, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xb0e602eb, "memmove" },
	{ 0x266ad31c, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e11517f, "trace_raw_output_prep" },
	{ 0xdd88dda7, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x8541193e, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x142b9af4, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7cc087c4, "finish_wait" },
	{ 0xe9b2d445, "trace_event_printf" },
	{ 0x4252120a, "config_item_get" },
	{ 0x55b22aab, "kernel_bind" },
	{ 0xbf431ab8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd848d00, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x6b7643db, "kset_unregister" },
	{ 0xf178e9a4, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa4f128a4, "kernel_kobj" },
	{ 0xb1703f6a, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x1906dea6, "__tracepoint_sk_data_ready" },
	{ 0x7c7489f5, "call_srcu" },
	{ 0x584733ca, "bpf_trace_run2" },
	{ 0x542804ad, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x590b22d0, "__wake_up" },
	{ 0xd829ff37, "synchronize_srcu" },
	{ 0xe57e386f, "kernel_accept" },
	{ 0x463c7619, "kernel_recvmsg" },
	{ 0x2251fec8, "kmem_cache_create" },
	{ 0x284737c2, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x91fa7eb2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b56e00d, "configfs_unregister_subsystem" },
	{ 0x8820f3d9, "wake_up_process" },
	{ 0x66cb9156, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa4a82189, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x1db4c8d3, "sock_set_sndtimeo" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x4ed5e939, "locks_init_lock" },
	{ 0x1b60d9c7, "idr_get_next" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x474650e8, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x354dd73e, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaa75d235, "perf_trace_run_bpf_submit" },
	{ 0x93cacdc1, "down_write" },
	{ 0x57d78c81, "init_net" },
	{ 0xd4107f3f, "up_write" },
	{ 0x91df4b40, "simple_open" },
	{ 0x990a1c77, "configfs_register_subsystem" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x710fe1bc, "configfs_remove_default_groups" },
	{ 0xf016c6a2, "__srcu_read_lock" },
	{ 0x2161ec3f, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbcfa4fd3, "noop_llseek" },
	{ 0x37a759be, "__SCK__tp_func_sk_data_ready" },
	{ 0x59524d94, "config_group_init_type_name" },
	{ 0x10ba32b7, "bpf_trace_run5" },
	{ 0xb9e31b0e, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xe501f479, "seq_putc" },
	{ 0x7aac359d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0xb0144b1b, "kobject_init_and_add" },
	{ 0x9fdf9cdf, "sock_sendmsg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd3752d5, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x69350dba, "idr_destroy" },
	{ 0x589e5d90, "default_llseek" },
	{ 0x19922101, "sock_set_reuseaddr" },
	{ 0x59a6031d, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x63959a18, "iov_iter_bvec" },
	{ 0x18a114a2, "misc_register" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8f7db2a0, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xe71fe4bf, "bpf_trace_run3" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xba51f759, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x7e959444, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xd7eeaca5, "config_item_init_type_name" },
	{ 0x1e384d5c, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x5e2472e0, "alloc_pages" },
	{ 0x9f1a4dd6, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xca79d0, "__srcu_read_unlock" },
	{ 0x1dbad2fa, "kobject_uevent" },
	{ 0x308cab55, "sock_release" },
	{ 0x18c788bb, "downgrade_write" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0xa1b253b5, "remove_wait_queue" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf8be55c2, "tcp_sock_set_nodelay" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x35de9455, "seq_open" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7029e887, "refcount_dec_and_lock" },
	{ 0xaca8f1f3, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xce761558, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0x7928574d, "sock_bind_add" },
	{ 0xac6e0570, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2812fe63, "kmem_cache_destroy" },
	{ 0x93792161, "release_sock" },
	{ 0x395058d3, "kset_create_and_add" },
	{ 0x4d53d6e4, "kobject_put" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "1856565EA9CACADA8445AD6");

MODULE_INFO(suserelease, "SLE15-SP6");
