#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(jbd2__journal_start, 0x65f30d18, "");
SYMBOL_CRC(jbd2_journal_start, 0xc03c2c6d, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xd14994ee, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xd304ae11, "");
SYMBOL_CRC(jbd2__journal_restart, 0xe3f0e680, "");
SYMBOL_CRC(jbd2_journal_restart, 0x81f660c8, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x110452e1, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x473aac10, "");
SYMBOL_CRC(jbd2_journal_extend, 0xca61a532, "");
SYMBOL_CRC(jbd2_journal_stop, 0xa16a0eef, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x1183ed1d, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xb9c452ea, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x469d4d58, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x334b3c86, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xd4d42f57, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xf2dc6ce8, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xb43eec06, "");
SYMBOL_CRC(jbd2_journal_forget, 0x83603e23, "");
SYMBOL_CRC(jbd2_journal_flush, 0xb0a21a90, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x25135597, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xa272c30c, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x1f0de17f, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x5dbe92ad, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x82ee31da, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x7d95d9e8, "");
SYMBOL_CRC(jbd2_journal_load, 0x58a62267, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x9351282e, "");
SYMBOL_CRC(jbd2_journal_abort, 0x16253c05, "");
SYMBOL_CRC(jbd2_journal_errno, 0x64756df7, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xf73bcfd5, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x30c03548, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x9bfb9f23, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x78fb12b9, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x40e24f89, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x1f8bdf55, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xf4e34da6, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x69a04a5a, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xc1b8dd79, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xd97e59c4, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x8a73fcbe, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x0bb38a58, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x97d173af, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xd1ddc4af, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x6de7b58c, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x36fbcce2, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xfe115815, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x3ddde3d5, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x2d84d30e, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xe3da6a48, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x799caebb, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x88470cf3, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x1ca3cff5, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x18c778e1, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0xd6eee54d, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xb3a69ec4, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x94d1b544, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xef5265ac, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x0c9f4916, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xa66628f8, "bh_uptodate_or_lock" },
	{ 0xd4c7eec5, "blk_start_plug" },
	{ 0x671913c8, "bpf_trace_run4" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6084f1a7, "folio_unlock" },
	{ 0x178c6ede, "param_ops_ushort" },
	{ 0x266ad31c, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4e11517f, "trace_raw_output_prep" },
	{ 0x8541193e, "bpf_trace_run6" },
	{ 0x3a4e9e3b, "mark_buffer_dirty" },
	{ 0x22012b4f, "__find_get_block" },
	{ 0x142b9af4, "__trace_trigger_soft_disabled" },
	{ 0x6705a1cb, "filemap_fdatawrite_range" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7cc087c4, "finish_wait" },
	{ 0xe9b2d445, "trace_event_printf" },
	{ 0x1708ddb3, "__bforget" },
	{ 0xac537fa1, "write_dirty_buffer" },
	{ 0x81ff5f12, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4014397c, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0xbf431ab8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1ec874a, "iput" },
	{ 0xf178e9a4, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x7c80cf64, "blockdev_superblock" },
	{ 0xaa75b5b7, "proc_create_data" },
	{ 0x584733ca, "bpf_trace_run2" },
	{ 0x542804ad, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x590b22d0, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2251fec8, "kmem_cache_create" },
	{ 0x284737c2, "bpf_trace_run8" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7bdab5d1, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0x8b9ffb82, "alloc_buffer_head" },
	{ 0x8820f3d9, "wake_up_process" },
	{ 0x66cb9156, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6a9273f4, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc00a53bb, "try_to_free_buffers" },
	{ 0x4e7e412a, "sync_blockdev" },
	{ 0xf8c23ead, "free_buffer_head" },
	{ 0x433eb210, "unregister_shrinker" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x9a9cc497, "blk_finish_plug" },
	{ 0x361a8d7d, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x63f24b9d, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd0b78626, "__brelse" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaa75d235, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x457b6512, "__bh_read_batch" },
	{ 0x10ba32b7, "bpf_trace_run5" },
	{ 0xe3a7b129, "__wait_on_buffer" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0xdfdf5409, "__bh_read" },
	{ 0x7aac359d, "trace_event_reg" },
	{ 0x40cd1b49, "blkdev_issue_zeroout" },
	{ 0x17a810b, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x678ea4c1, "freezing_slow_path" },
	{ 0x4162e713, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9708c271, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f7db2a0, "__init_waitqueue_head" },
	{ 0x9b9842a2, "set_bh_page" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xe71fe4bf, "bpf_trace_run3" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xc4c63b84, "unlock_buffer" },
	{ 0x30ad05a9, "__getblk_gfp" },
	{ 0x7e959444, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xf73dd6d4, "prepare_to_wait_exclusive" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xe40cd6e8, "__folio_put" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xd1bc3b5f, "__lock_buffer" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x95e2cef4, "truncate_inode_pages_range" },
	{ 0x4da40cb0, "blkdev_issue_flush" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3530cd29, "end_buffer_write_sync" },
	{ 0x35de9455, "seq_open" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0xf77c7e9d, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0x2812fe63, "kmem_cache_destroy" },
	{ 0xa726ab34, "blkdev_issue_discard" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "58EA3A0EA4BC8A2DC8403F1");

MODULE_INFO(suserelease, "SLE15-SP6");
