#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x70ed70bf, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xa1dfa4ee, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x674cb6d1, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x0bb596bd, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x817cb681, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xdc4f0e95, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x169e9b9b, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x17d25e04, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x6a302aa2, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x2a5dcfff, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x7785ccea, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xce76d328, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x93822011, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x885e2ab6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x24a8619c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x60fea53a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xe03097a7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xe99d4839, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x6980649d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xee77991b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x038eede3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x3e11c8cc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x1a02beb1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x8f00db5a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xc2039345, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x5651ed52, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xe60e8ce5, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x019b8065, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x2ea46ed1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xf4bc85b5, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x2f2798ba, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xd11fb5fe, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xf6e4c348, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x833bdf07, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x86246efb, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xdc11bd58, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad43cf99, "vsock_enqueue_accept" },
	{ 0xcf2543c8, "vsock_insert_connected" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x4e11517f, "trace_raw_output_prep" },
	{ 0x142b9af4, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xb929af4d, "vsock_remove_sock" },
	{ 0xe9b2d445, "trace_event_printf" },
	{ 0x6699d489, "vsock_deliver_tap" },
	{ 0xbf431ab8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf178e9a4, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb1703f6a, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x24684ae3, "sk_error_report" },
	{ 0x66cb9156, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc0c3203d, "vsock_find_bound_socket" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaa75d235, "perf_trace_run_bpf_submit" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x7aac359d, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x54e07977, "__skb_recv_datagram" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd0868478, "vsock_stream_has_data" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0x3fa675f7, "bpf_trace_run9" },
	{ 0xe1fd2012, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x1e93ac46, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xfcf4985, "bpf_trace_run10" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x709e6165, "vsock_core_get_transport" },
	{ 0x7e8a3b71, "__zerocopy_sg_from_iter" },
	{ 0xa055763c, "vsock_stream_has_space" },
	{ 0xab134a08, "skb_set_owner_w" },
	{ 0x7e959444, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa1b253b5, "remove_wait_queue" },
	{ 0x46f01bec, "msg_zerocopy_realloc" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0x428557b5, "vsock_create_connected" },
	{ 0xb18e0176, "vsock_assign_transport" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7beb030, "iov_iter_npages" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0x93792161, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2008a1a, "vsock_data_ready" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "04A541FE31467A1010C4E31");

MODULE_INFO(suserelease, "SLE15-SP6");
