#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(adf_cfg_dev_add, 0x31394dfa, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xaacf4f90, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x32e3320d, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0x39cdcab2, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x4816ef82, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0xf9d119ef, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0xba5883e5, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0xe0cee931, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0x2f34b52f, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x98fb60d0, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0x593bec65, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0x44a060e0, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0xfac4d7d0, "_gpl");
SYMBOL_CRC(adf_dev_get, 0xde63516d, "_gpl");
SYMBOL_CRC(adf_dev_put, 0x919365ca, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x1a843ad2, "_gpl");
SYMBOL_CRC(adf_dev_started, 0xd5dc33c9, "_gpl");
SYMBOL_CRC(adf_dev_down, 0xd17f8a65, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x8abfdb7d, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x60ca848b, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x3993715a, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x9f348ac1, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x8cadd8a0, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x3597326b, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0xb68bd91a, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x84462676, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0x4adcf60b, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0xc87c08ff, "_gpl");
SYMBOL_CRC(adf_init_arb, 0xa67fbf9b, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0x49cb4b53, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xd911c45c, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xe7e93b61, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0xde49f6d4, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x51651ef7, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x660bea8c, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0x1d843728, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x823bdc12, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x31c0347a, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0xe19257ca, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0x4b1dde3a, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0xf10d40ce, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0x70659949, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0x2c0f84ec, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0x1773312d, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0x5284bdf4, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0x73197a5d, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0xf03a986a, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0x4ecd9ada, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0xa3b8a3f7, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0xbd924c9a, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0x09a10739, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0xa90d1a7a, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0xcffe995c, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0xf523f4bf, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x52e829c9, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0xfa759159, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x9b1800f8, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0xe963931f, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0x84b255ff, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0xbefd3234, "_gpl");
SYMBOL_CRC(adf_gen4_bank_quiesce_coal_timer, 0xb3b07b4d, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_save, 0x17a69bf7, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_restore, 0x0c349d65, "_gpl");
SYMBOL_CRC(adf_gen4_init_vf_mig_ops, 0xfa6ffd23, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0xdc17a012, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x4f85fe65, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0x881d2f05, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0xba51642d, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x187bb479, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0xf37e3e9b, "_gpl");
SYMBOL_CRC(qat_vfmig_create, 0x47243759, "_gpl");
SYMBOL_CRC(qat_vfmig_init, 0x11c78a82, "_gpl");
SYMBOL_CRC(qat_vfmig_cleanup, 0xc445daef, "_gpl");
SYMBOL_CRC(qat_vfmig_reset, 0xf957a0dc, "_gpl");
SYMBOL_CRC(qat_vfmig_open, 0xe6ec398c, "_gpl");
SYMBOL_CRC(qat_vfmig_close, 0x8d9f5e3d, "_gpl");
SYMBOL_CRC(qat_vfmig_suspend, 0x17442e7f, "_gpl");
SYMBOL_CRC(qat_vfmig_resume, 0x99d30dc6, "_gpl");
SYMBOL_CRC(qat_vfmig_save_state, 0x85ff00a2, "_gpl");
SYMBOL_CRC(qat_vfmig_save_setup, 0x6161526c, "_gpl");
SYMBOL_CRC(qat_vfmig_load_state, 0x4f7494c7, "_gpl");
SYMBOL_CRC(qat_vfmig_load_setup, 0x7e56a91f, "_gpl");
SYMBOL_CRC(qat_vfmig_destroy, 0x52d721ce, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0xe2c32138, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x48c37f66, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0xb114daf8, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0x24d9ecd3, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0x8e3946ef, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0xfff3c366, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0xc86806e1, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0x9233d264, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x9c139c37, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0xe3291e8b, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x45b4c035, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x27872c00, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x03a679c8, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x665b6e1b, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x1b2d2253, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0x0af041c4, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_restart_complete, 0xa987443a, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0xf56fe21d, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x8e518561, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x71c03b96, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x3d2bfb62, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4176e3d, "crypto_skcipher_encrypt" },
	{ 0x79efb5f4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe71e5459, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x66deb742, "crypto_alloc_base" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x9fbd303c, "crypto_unregister_kpp" },
	{ 0x266ad31c, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xdbdcedc4, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b0c091e, "crypto_register_aeads" },
	{ 0x5e7eca64, "pci_sriov_get_totalvfs" },
	{ 0x35b9193, "seq_hex_dump" },
	{ 0xd89985b8, "device_remove_groups" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xe8fb48f8, "devm_device_add_group" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0xbb002df4, "crypto_skcipher_setkey" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb0a7c6e3, "crypto_cipher_setkey" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0xbf99d602, "crypto_unregister_aeads" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x6a42baa6, "crypto_alloc_kpp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbea18461, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x81c81c7a, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x474650e8, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6c9f06de, "compat_ptr_ioctl" },
	{ 0x5063406f, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x904a5c90, "pci_clear_master" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xa4eb583, "crypto_unregister_acomps" },
	{ 0x93cacdc1, "down_write" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd4107f3f, "up_write" },
	{ 0x91df4b40, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xab9ee9b4, "crypto_unregister_akcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc3406e22, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x5e97b8ba, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x7f3521bc, "pcie_flr" },
	{ 0x5a921311, "strncmp" },
	{ 0xe501f479, "seq_putc" },
	{ 0xb70c4185, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x19ec3a1d, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0xbe905e70, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x703f1901, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xa60b94b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x48d3fa27, "kmalloc_large_node" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x339ccd31, "_dev_notice" },
	{ 0x69acf2a5, "crypto_cipher_encrypt_one" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xef361111, "crypto_register_kpp" },
	{ 0x2e5941b0, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8c55e976, "pci_disable_sriov" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xe9be1dc5, "device_add_groups" },
	{ 0x35de9455, "seq_open" },
	{ 0x9ff02c8, "crypto_unregister_skciphers" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xfd38af2c, "crypto_register_akcipher" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x2a32609e, "pci_write_config_word" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x23caa518, "pci_enable_sriov" },
	{ 0xce761558, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x5ab2593e, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x759899cf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0xb1a5a4b3, "cdev_del" },
	{ 0xd5cbca07, "crypto_alloc_skcipher" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "F2B51A56C1ACA23E5CFEAF0");

MODULE_INFO(suserelease, "SLE15-SP6");
