#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(v9fs_register_trans, 0x916ce323, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x3065bc54, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x14c18787, "");
SYMBOL_CRC(v9fs_get_default_trans, 0x1eb90a2a, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x09bad947, "");
SYMBOL_CRC(p9_is_proto_dotu, 0xe02cf54e, "");
SYMBOL_CRC(p9_show_client_options, 0x858c2367, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x371aac9e, "");
SYMBOL_CRC(p9_req_put, 0x14ba27b5, "");
SYMBOL_CRC(p9_client_cb, 0xaf474c39, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x9b2ed7bf, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0xd2c83d90, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0x5b52cee0, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0xc46b2867, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x4cbda864, "");
SYMBOL_CRC(p9_client_create, 0x7727f935, "");
SYMBOL_CRC(p9_client_destroy, 0x2780baac, "");
SYMBOL_CRC(p9_client_disconnect, 0xa96b4e5c, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0xb86800d5, "");
SYMBOL_CRC(p9_client_attach, 0xb939ada6, "");
SYMBOL_CRC(p9_client_walk, 0x3806e786, "");
SYMBOL_CRC(p9_client_open, 0x16a89557, "");
SYMBOL_CRC(p9_client_create_dotl, 0x30c42efa, "");
SYMBOL_CRC(p9_client_fcreate, 0xf3dc4e5e, "");
SYMBOL_CRC(p9_client_symlink, 0x8726a7f6, "");
SYMBOL_CRC(p9_client_link, 0xfc44cf90, "");
SYMBOL_CRC(p9_client_fsync, 0x16d5f632, "");
SYMBOL_CRC(p9_client_clunk, 0x62448b6b, "");
SYMBOL_CRC(p9_client_remove, 0x3dd97925, "");
SYMBOL_CRC(p9_client_unlinkat, 0xf0f3a73b, "");
SYMBOL_CRC(p9_client_read, 0x28c136f7, "");
SYMBOL_CRC(p9_client_read_once, 0x1372e88b, "");
SYMBOL_CRC(p9_client_write, 0x006eb741, "");
SYMBOL_CRC(p9_client_stat, 0xaf1b0c5f, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0x2a1228a3, "");
SYMBOL_CRC(p9_client_wstat, 0xe33c2257, "");
SYMBOL_CRC(p9_client_setattr, 0xe025f643, "");
SYMBOL_CRC(p9_client_statfs, 0x91a8a6ec, "");
SYMBOL_CRC(p9_client_rename, 0xf7852dde, "");
SYMBOL_CRC(p9_client_renameat, 0x62f66d07, "");
SYMBOL_CRC(p9_client_xattrwalk, 0xde6d01dc, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x6116277a, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0xc44bc860, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0x5a98789e, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0xf2993d30, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x01aa2989, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0xa33a09c7, "");
SYMBOL_CRC(p9_client_readlink, 0xfa0d7022, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0xaaa6fd48, "");
SYMBOL_CRC(p9dirent_read, 0x601a97ff, "");
SYMBOL_CRC(p9_release_pages, 0xd8201380, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe71e5459, "try_module_get" },
	{ 0x9f471496, "_copy_to_iter" },
	{ 0x671913c8, "bpf_trace_run4" },
	{ 0xc10ba54d, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd9d8496a, "idr_alloc_u32" },
	{ 0x4e11517f, "trace_raw_output_prep" },
	{ 0x142b9af4, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7cc087c4, "finish_wait" },
	{ 0xe9b2d445, "trace_event_printf" },
	{ 0xbf431ab8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf178e9a4, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x584733ca, "bpf_trace_run2" },
	{ 0x542804ad, "prepare_to_wait_event" },
	{ 0x590b22d0, "__wake_up" },
	{ 0x2251fec8, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x66cb9156, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa483c048, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x1b60d9c7, "idr_get_next" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x474650e8, "module_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaa75d235, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x6743588e, "kmem_cache_create_usercopy" },
	{ 0x2161ec3f, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0xb4dd2aa8, "from_kgid" },
	{ 0x7aac359d, "trace_event_reg" },
	{ 0xed31f29, "iov_iter_kvec" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf916e23c, "from_kuid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f7db2a0, "__init_waitqueue_head" },
	{ 0x6d12d907, "make_kgid" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe71fe4bf, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7e959444, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd8a4db35, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0xe40cd6e8, "__folio_put" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2812fe63, "kmem_cache_destroy" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "812C4875CAAED15FCD916CD");

MODULE_INFO(suserelease, "SLE15-SP6");
