#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_rawmidi_drop_output, 0x40cb1db7, "");
SYMBOL_CRC(snd_rawmidi_drain_output, 0xc989065d, "");
SYMBOL_CRC(snd_rawmidi_drain_input, 0x3acc6c7e, "");
SYMBOL_CRC(snd_rawmidi_kernel_open, 0x612d7afb, "");
SYMBOL_CRC(snd_rawmidi_kernel_release, 0x824fa90a, "");
SYMBOL_CRC(snd_rawmidi_info_select, 0x123c4950, "");
SYMBOL_CRC(snd_rawmidi_output_params, 0x2de58bf4, "");
SYMBOL_CRC(snd_rawmidi_input_params, 0xeadfd31a, "");
SYMBOL_CRC(snd_rawmidi_receive, 0x1aa2e71d, "");
SYMBOL_CRC(snd_rawmidi_kernel_read, 0xc19b788e, "");
SYMBOL_CRC(snd_rawmidi_transmit_empty, 0xd13f7dd7, "");
SYMBOL_CRC(snd_rawmidi_transmit_peek, 0xcf589980, "");
SYMBOL_CRC(snd_rawmidi_transmit_ack, 0xa42df8bd, "");
SYMBOL_CRC(snd_rawmidi_transmit, 0xf32702b0, "");
SYMBOL_CRC(snd_rawmidi_proceed, 0x5d6c15c3, "");
SYMBOL_CRC(snd_rawmidi_kernel_write, 0x179bb3fe, "");
SYMBOL_CRC(snd_rawmidi_init, 0x1e2448df, "_gpl");
SYMBOL_CRC(snd_rawmidi_new, 0x55bad6f0, "");
SYMBOL_CRC(snd_rawmidi_free, 0xa7414555, "_gpl");
SYMBOL_CRC(snd_rawmidi_set_ops, 0x21c83086, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe71e5459, "try_module_get" },
	{ 0x3c300879, "snd_info_register" },
	{ 0xfed0fb93, "snd_ctl_unregister_ioctl_compat" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe4ca19c2, "snd_seq_device_new" },
	{ 0x6e7550ed, "snd_ctl_get_preferred_subdevice" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7cc087c4, "finish_wait" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x525c1a11, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf178e9a4, "pcpu_hot" },
	{ 0xb1703f6a, "add_wait_queue" },
	{ 0xc3ab7050, "snd_unregister_oss_device" },
	{ 0x542804ad, "prepare_to_wait_event" },
	{ 0x590b22d0, "__wake_up" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2c6dade, "snd_register_oss_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0x3a314387, "snd_ctl_register_ioctl" },
	{ 0xc5922565, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x474650e8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe9983781, "_dev_err" },
	{ 0x8f595b11, "snd_major" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x60f6216b, "snd_unregister_device" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe6c1fb37, "snd_device_new" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8f7db2a0, "__init_waitqueue_head" },
	{ 0x18996826, "snd_ctl_unregister_ioctl" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x198788b4, "snd_lookup_oss_minor_data" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x380b655e, "snd_ctl_register_ioctl_compat" },
	{ 0x129f5b65, "snd_info_create_card_entry" },
	{ 0xb70789e, "__might_fault" },
	{ 0x19497daf, "snd_device_initialize" },
	{ 0xa1b253b5, "remove_wait_queue" },
	{ 0x2062d5b6, "stream_open" },
	{ 0x8ff9c901, "pid_vnr" },
	{ 0xea5c3157, "snd_card_file_remove" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x35323cf3, "snd_device_register" },
	{ 0xe245e2f8, "snd_register_device" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x23825dac, "put_pid" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device");


MODULE_INFO(srcversion, "47B6EE70DF5B44E16D2FE93");

MODULE_INFO(suserelease, "SLE15-SP6");
