#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_fw_transaction, 0x16b13373, "");
SYMBOL_CRC(fw_iso_resources_init, 0xdb395aa0, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0x53efb9ed, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0x4d90e666, "");
SYMBOL_CRC(fw_iso_resources_update, 0x6d5353d3, "");
SYMBOL_CRC(fw_iso_resources_free, 0xc72fd49e, "");
SYMBOL_CRC(iso_packets_buffer_init, 0xebb0146e, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x6900faea, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x666da038, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0xdf05d2b7, "");
SYMBOL_CRC(avc_general_get_plug_info, 0xe3a4322b, "");
SYMBOL_CRC(fcp_avc_transaction, 0x67d5ac2e, "");
SYMBOL_CRC(fcp_bus_reset, 0x3cc3e261, "");
SYMBOL_CRC(cmp_connection_init, 0xec4dad46, "");
SYMBOL_CRC(cmp_connection_check_used, 0x4b615586, "");
SYMBOL_CRC(cmp_connection_destroy, 0xdda5a870, "");
SYMBOL_CRC(cmp_connection_reserve, 0x059e6b17, "");
SYMBOL_CRC(cmp_connection_release, 0xf79bf5b8, "");
SYMBOL_CRC(cmp_connection_establish, 0xeef01980, "");
SYMBOL_CRC(cmp_connection_update, 0x420c0da6, "");
SYMBOL_CRC(cmp_connection_break, 0xecd9b401, "");
SYMBOL_CRC(amdtp_stream_init, 0x5f0696f2, "");
SYMBOL_CRC(amdtp_stream_destroy, 0x7d928ce6, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0xe2f13180, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0xfbf1e3d4, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x621a358f, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0x03b7d863, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0xfaeadc2b, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0xf437177b, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0x170701ca, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0xd393bc4e, "");
SYMBOL_CRC(amdtp_domain_init, 0x9b1dc580, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0xc5e75e64, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x822ee63b, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x44d406b1, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0x8c8d4132, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x547b8e9f, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x5b823769, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x2203cefe, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x59211546, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0x8576d7d0, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x4fc3d8fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe75877c0, "fw_iso_context_destroy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xf2bb376d, "fw_run_transaction" },
	{ 0x1aa2e71d, "snd_rawmidi_receive" },
	{ 0xb8aace59, "fw_iso_buffer_init" },
	{ 0xf32702b0, "snd_rawmidi_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e11517f, "trace_raw_output_prep" },
	{ 0x142b9af4, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7cc087c4, "finish_wait" },
	{ 0xe9b2d445, "trace_event_printf" },
	{ 0x60448f48, "snd_pcm_hw_constraint_minmax" },
	{ 0xbf431ab8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6f47f89d, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xf178e9a4, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x7c51f643, "fw_core_remove_address_handler" },
	{ 0x542804ad, "prepare_to_wait_event" },
	{ 0x545ff5de, "fw_iso_context_stop" },
	{ 0x590b22d0, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d32048, "fw_core_add_address_handler" },
	{ 0x66cb9156, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4c8d9c15, "snd_pcm_hw_rule_add" },
	{ 0x58a6bf66, "fw_iso_context_queue" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x620c75b7, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaa75d235, "perf_trace_run_bpf_submit" },
	{ 0xe9983781, "_dev_err" },
	{ 0x79c937a5, "fw_iso_buffer_destroy" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x7aac359d, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb58429dd, "fw_iso_resource_manage" },
	{ 0x3fa675f7, "bpf_trace_run9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f7db2a0, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x1cea4b0f, "fw_iso_context_start" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7e959444, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x745b5d68, "snd_pcm_stop_xrun" },
	{ 0xf5d46283, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x602995ea, "snd_pcm_period_elapsed" },
	{ 0x9d2b4f38, "kmalloc_trace" },
	{ 0xd84c7e36, "fw_iso_context_flush_completions" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd494336, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-rawmidi,snd-pcm");


MODULE_INFO(srcversion, "7C93D8006085971F696EFA7");

MODULE_INFO(suserelease, "SLE15-SP6");
